---
title: SourceBuffer.updating
slug: Web/API/SourceBuffer/updating
tags:
  - API
  - Audio
  - Experimental
  - MSE
  - Media Source Extensions
  - Property
  - Reference
  - SourceBuffer
  - Updating
  - Video
---
<div>{{APIRef("Media Source Extensions")}}{{SeeCompatTable}}{{draft}}</div>

<p>The <code><strong>updating</strong></code> read-only property of the {{domxref("SourceBuffer")}} interface indicates whether the <code>SourceBuffer</code> is currently being updated — i.e. whether an {{domxref("SourceBuffer.appendBuffer()")}},  {{domxref("SourceBuffer.appendStream()")}}, or {{domxref("SourceBuffer.remove()")}} operation is currently in progress.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>isUpdating</em> = <em>sourceBuffer</em>.updating;
</pre>

<h3 id="Value">Value</h3>

<p>A {{jsxref("Boolean")}}.</p>

<h2 id="Example">Example</h2>

<p>TBD</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Media Source Extensions', '#idl-def-sourcebuffer-updating', 'updating')}}</td>
   <td>{{Spec2('Media Source Extensions')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.SourceBuffer.updating")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("MediaSource")}}</li>
 <li>{{domxref("SourceBufferList")}}</li>
</ul>
